# Test Registry Webhook

Launch stage: GA

`POST /api/2.0/mlflow/registry-webhooks/test`

**NOTE:** This endpoint is in Public Preview.
 Tests a registry webhook.

API scopes: mlflow

## Request body

- `id` (string, optional)
  Webhook ID
  Example: `124323`
- `event` (string, optional)
  If `event` is specified, the test trigger uses the specified event. If `event` is not specified, the test trigger uses a randomly chosen event associated with the webhook.
  Possible values: `MODEL_VERSION_CREATED`, `MODEL_VERSION_TRANSITIONED_STAGE`, `TRANSITION_REQUEST_CREATED`, `COMMENT_CREATED`, `REGISTERED_MODEL_CREATED`, `MODEL_VERSION_TAG_SET`, `MODEL_VERSION_TRANSITIONED_TO_STAGING`, `MODEL_VERSION_TRANSITIONED_TO_PRODUCTION`, `MODEL_VERSION_TRANSITIONED_TO_ARCHIVED`, `TRANSITION_REQUEST_TO_STAGING_CREATED`, `TRANSITION_REQUEST_TO_PRODUCTION_CREATED`, `TRANSITION_REQUEST_TO_ARCHIVED_CREATED`

## Returns

- `status_code` (int32, optional)
  Status code returned by the webhook URL
  Example: `200`
- `body` (string, optional)
  Body of the response from the webhook URL
  Example: `OK`

## Response

```json
{
  "status_code": 200,
  "body": "OK"
}
```

